/*=========================================================================

  Program:   CMake - Cross-Platform Makefile Generator
  Module:    $RCSfile: cmLocalVisualDSP4Generator.h,v $
  Language:  C++
  Date:      $Date: 2007/05/09 18:41:38 $
  Version:   $Revision: 1.18 $

  Copyright (c) 2002 Kitware, Inc., Insight Consortium.  All rights reserved.
  See Copyright.txt or http://www.cmake.org/HTML/Copyright.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
#ifndef cmLocalVisualDSP4Generator_h
#define cmLocalVisualDSP4Generator_h

#include "cmLocalGenerator.h"

class cmMakeDepend;
class cmTarget;
class cmSourceFile;
class cmSourceGroup;
class cmCustomCommand;

/** \class cmLocalVisualDSP4Generator
 *
 */
class cmLocalVisualDSP4Generator : public cmLocalGenerator
{
public:
  ///! Set cache only and recurse to false by default.
  cmLocalVisualDSP4Generator();

  virtual ~cmLocalVisualDSP4Generator();

  /**
   * Generate the makefile for this directory. 
   */
  virtual void Generate();

private:
};

#endif

